# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media
Interface IMediaEntry

All Superinterfaces:
  IAtom, IEntry

All Known Implementing Classes:
  AlbumEntry, AnnouncementEntry, AnnouncementsPageEntry, AttachmentEntry, AudioEntry, BaseContentEntry, BasePageEntry, CaptionTrackEntry, CommentEntry, CommentEntry, ContentEntry, DocumentEntry, DocumentEntry, DocumentListEntry, FavoriteEntry, FileCabinetPageEntry, FileEntry, FolderEntry, GlossaryEntry, GoogleBaseMediaEntry, GphotoEntry, ListItemEntry, ListPageEntry, MailItemEntry, MapEntry, MediaEntry, PageEntry, PdfEntry, PhotoEntry, PlaylistEntry, PresentationEntry, SpreadsheetEntry, TagEntry, TranslationMemoryEntry, UserEntry, VideoEntry, VideoMessageEntry, WebAttachmentEntry, WebPageEntry

    public interface IMediaEntry

extends IEntry

The IMediaEntry interface defines a common base interface for GData media entries that is shared between the old and new data models.

Method Summary
`MediaSource` `getMediaSource()` Returns the `MediaSource` that contains the media data for the entry.
`void` `setMediaSource(MediaSource source)` Sets the `MediaSource` that contains the media data for the entry.

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getMediaEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setService, setUpdated, setVersionId`

Method Detail

### getMediaSource

    MediaSource getMediaSource()

  Returns the `MediaSource` that contains the media data for the entry.

### setMediaSource

    void setMediaSource(MediaSource source)

  Sets the `MediaSource` that contains the media data for the entry.